Bug 1129253 - rhel-osp-installer will stop when second interface will get DHCP with with different DNS name
Summary: rhel-osp-installer will stop when second interface will get DHCP with with di...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer
Version: 5.0 (RHEL 6)
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: z1
: Installer
Assignee: Lars Kellogg-Stedman
QA Contact: Ofer Blaut
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 12:01 UTC by Ofer Blaut
Modified: 2015-03-03 13:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-08 20:10:40 UTC


Attachments (Terms of Use)
Errors from Staypuft ERROR GUI (6.21 KB, text/plain)
2014-08-12 12:01 UTC, Ofer Blaut
no flags Details
screenshot (109.67 KB, image/png)
2014-08-12 12:02 UTC, Ofer Blaut
no flags Details

Description Ofer Blaut 2014-08-12 12:01:30 UTC
Created attachment 926055 [details]
Errors from Staypuft ERROR  GUI

Description of problem:
rhel-osp-installer will stop when second interface will get DHCP with with different DNS name 

Happened when host name was set to use example.com 

grep -q ^192.168.0.1 /etc/hosts; if [ $? == 0 ]; then sed -i "/^192.168.0.1.*/s//192.168.0.1 staypuft.example.com staypuft/" /etc/hosts; else echo "192.168.0.1 staypuft.example.com staypuft" >> /etc/hosts; fi      #Required in order to workaround BZ #1120304


but the secondary interface that works after provision start  will be used with 10.35.160.19/puma05.scl.lab.tlv.redhat.com

See attached logs and snapshot  


 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.install setup with isolated interface for discovery 
2.second interface will use DHCP from different server , with pre-configured name 
3.

Actual results:


Expected results:


Additional info:

Comment 2 Ofer Blaut 2014-08-12 12:02:37 UTC
Created attachment 926056 [details]
screenshot

Comment 7 Mike Burns 2014-08-14 19:04:32 UTC
resetting needinfo

Comment 8 Lars Kellogg-Stedman 2014-09-08 20:10:40 UTC
Closing this one for now since it looks like it wasn't reproduced.


Note You need to log in before you can comment on or make changes to this bug.